Bug 118568 - Signature Line: Use custom image for signature
Summary: Signature Line: Use custom image for signature
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Digital-Signature-Lines
  Show dependency treegraph
 
Reported: 2018-07-06 06:27 UTC by Samuel Mehrbrodt (CIB)
Modified: 2018-11-13 11:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2018-07-06 06:27:12 UTC
It should be possible to select an own image for the signature, like a scanned image of the handwritten signature.
Comment 1 Xisco Faulí 2018-07-11 12:12:35 UTC
Moving to NEW
Comment 2 Jon 2018-07-18 16:29:57 UTC
In addition to this, it would be nice to be able to import a signature from a signature pad.
Comment 3 Samuel Mehrbrodt (CIB) 2018-11-12 14:08:10 UTC
(In reply to Jon from comment #2)
> In addition to this, it would be nice to be able to import a signature from
> a signature pad.

Good idea, but please open a new issue for that. It's out of scope here.
Comment 4 Commit Notification 2018-11-13 11:07:32 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ba4390968a6df9a3598d9d5b70b84dfc634ee31b%5E%21

tdf#118568 Use custom image for signing signature line

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.